<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | Specimen Labels</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<link rel="stylesheet" href="/static/css/legend.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
	</script>
</head>
<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>Specimen Labels Printen</h1>

<div class="center-screen" >
	<div class="small-input-container" style="margin-left:60px;margin-right:60px;">
		<div>
		<p class="legend">
			N.B. Tenzij anders vermeld, zijn alle maten zijn in millimeters, en zijn decimale getallen toegestaan.
		</p>
		<ul class="legend">
			<li>
				<span class="setting-name-main">paperSize</span>
				Het papier-formaat. Geldige waarden zijn: A4, A3, LETTER (tussen dubbele aanhalingstekens, bijv. "A4").</li>
			<li>
				<span class="setting-name-main">printAreaTop</span>
				De hoogte van de witruimte langs de bovenzijde van het papier.
			</li>
			<li><span class="setting-name-main">printAreaLeft</span>
				De breedte van de witruimte langs de linkerzijde van het papier.
			</li>
			<li>
				<span class="setting-name-main">rowCount</span>
				Het aantal rijen per pagina.
			</li>
			<li>
				<span class="setting-name-main">rowHeight</span>
				De hoogte v.d. rijen.</li>
			<li>
				<span class="setting-name-main">columnCount</span>
				Het aantal kolommen per pagina.
			</li>
			<li>
				<span class="setting-name-main">columnWidth</span>
				De breedte v.d. kolommen.
			</li> 
			<li>
				<span class="setting-name-main">columnWise</span>
				Of de nummers per kolom (van boven naar beneden) oplopen of per rij (van links naar rechts).
			</li>
			<li>
				<span class="setting-name-main">labelHeight</span>
				De hoogte v.d. etiketten. Een etiket wordt in de denkbeeldige linker-bovenhoek van een cel
				geplaatst. Moet kleiner zijn dan <span class="setting">rowHeight</span>. 
			</li>
			<li>
				<span class="setting-name-main">labelWidth</span>
				De breedte v.d. etiketten. Moet kleiner zijn dan <span class="setting">columnWidth</span>.
			</li>
			<li>
				<span class="setting-name-main">imgSize</span>
				De hoogte/breedte v.d. data matrix code. Dit wordt tevens gebruikt als de hoogte v.h. label
				tekst-vak. Moet kleiner zijn dan <span class="setting">labelHeight</span>.
			</li>
			<li>
				<span class="setting-name-main">textWidth</span>
				De breedte van het tekst-vak waarin het specimen ID (e.g. RMNH.INS.12345) wordt geprint.
			</li>
			<li>
				<span class="setting-name-main">glueAll</span>
				Dit forceert de print-routine om instituut-code, collectie-code en nummer allemaal op één regel
				te plaatsen, hoe klein het font ook wordt. Anders kan de print-routine besluiten de label-tekst
				over twee regels te verdelen om de leesbaarheid te vergroten.
			</li>
			<li>
				<span class="setting-name-main">gluePrefix</span>
				Als de print-routine bepaalt dat de label-tekst in twee regels opgesplitst moet worden voor de
				leesbaarheid, forceert deze instelling dat de prefix altijd in zijn geheel op de eerste regel komt
				en het nummer op de tweede regel. Anders wordt de font-grootte van beide regels geoptimaliseerd.
				Dat kan tot gevolg hebben dat de prefix wordt opgesplitst in instituut-code en collectie-code.
			</li>
			<li>
				<span class="setting-name-main">numberEmphasis</span>
				Het relatieve belang van het nummer versus de prefix. Bijvoorbeeld: als <span class="setting">numberEmphasis</span>
				60 is, dan is de <i>maximale</i> hoogte van de tweede regel (waarop het nummer staat) 60% van de
				totale hoogte van het label text-vak. De <i>daadwerkelijke</i> hoogte wordt bepaald (en beperkt) door
				de beschikbare ruimte in het tekst-vak.
			</li>
			<li>
				<span class="setting-name-main">suffixes</span>
				Optionele setting (hoeft niet aanwezig te zijn). Zorgt ervoor dat voor elk nummer ook nog etiketten
				worden geprint met de gespecificeerde suffixes. Als je meerdere suffixes op wilt geven, gebruik dan
				de syntax zoals in dit voorbeeld:<br>
				<span class="setting">"suffixes" : [".dors", ".lat"]</span><br>
				Oftewel: één of meer suffixes tussen dubbele aanhalingstekens en gescheiden door een komma, en het geheel
				tussen vierkante haakjes. Plaats de komma alleen <i>tussen</i> de suffixes. Voorloop-spaties worden
				gerespecteerd. <span class="setting">"&nbsp;&nbsp;&nbsp;&nbsp;ABC"</span> is dus een andere suffix dan
				<span class="setting">"ABC"</span>. Je kunt ook opgeven dat je <i>geen</i> suffixes wilt:<br>
				<span class="setting">"suffixes" : []</span><br>
				Dat is hetzelfde als de <span class="setting">suffixes</span> setting gewoon helemaal weglaten.				
			</li>
			<li>
				<span class="setting-name-main">suffixesOnly</span>
				Optionele setting. Als deze setting aanwezig is en waarde <span class="setting">true</span> heeft, dan
				zullen de "kale" labels zelf niet geprint worden; alle labels zullen voorzien zijn van een suffix. In
				dat geval is de <span class="setting">suffixes</span> setting uiteraard wel verplicht. 
			</li>
		</ul>
		</div>
			
		<div style="padding:20px 0 5px 0;width:100%;text-align:center;">
			<button class="btn btn-outline-primary" onclick="action(~%layoutId%);">
				Terugkeren
			</button>
		</div>		
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>	
$(function() {

	const h1 = $("h1");
	recenter(h1);
	$(window).resize(function() {
		recenter(h1);
	});
	
	$("#simpleSearchTextInput").css("display", "none");	
	$("#simpleSearchButton").css("display", "none");
	
});
</script>

</body>
</html>